Bug 179609 - SWT native build fails: error: '_IO_vfwprintf' undeclared here (not in a function)
SWT native build fails: error: '_IO_vfwprintf' undeclared here (not in a fun...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-01 12:02 EST by Andrew Overholt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.3.90-33
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-02 10:26:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2006-02-01 12:02:33 EST
Description of problem:
While attempting to build Eclipse 3.1.2 in rawhide, the build failed on ppc with
the error below.  This did not happen on x86.

How reproducible:
I have only tried once.

Steps to Reproduce:
I will try to create a small test case.

Actual results:
compilelibs:
    [mkdir] Created dir: /usr/src/build/688239-ppc/BUILD/eclipse-3.1.2/swttmp
    [unzip] Expanding:
/usr/src/build/688239-ppc/BUILD/eclipse-3.1.2/plugins/org.eclipse.rcp.source.linux.gtk.ppc/src/org.eclipse.swt.gtk.linux.ppc_3.1.1/src.zip
into /usr/src/build/688239-ppc/BUILD/eclipse-3.1.2/swttmp
     [exec] Building Linux GTK PowerPC 32 bit version of SWT
     [exec] gcc -O2 -Wall -DSWT_VERSION=3139  -DLINUX -DGTK
-I/opt/IBMJava2-ppc-142/include -I/opt/IBMJava2-ppc-142/include/linux -fpic  -c
swt.c
     [exec] In file included from /usr/include/libio.h:538,
     [exec]                  from /usr/include/stdio.h:72,
     [exec]                  from
/usr/lib/gcc/ppc-redhat-linux/4.1.0/include/jni.h:48,
     [exec]                  from swt.h:23,
     [exec]                  from swt.c:12:
     [exec] /usr/include/bits/libio-ldbl.h:26: error: '_IO_vfwscanf' undeclared
here (not in a function)
     [exec] /usr/include/bits/libio-ldbl.h:27: error: '_IO_vfwprintf' undeclared
here (not in a function)
     [exec] make: *** [swt.o] Error 1

Expected results:
Successful build.

Additional info:
This did not happen the last time I built Eclipse which was against
gcc-4.1.0-0.15 (I believe).
Comment 1 Jakub Jelinek 2006-02-02 10:26:33 EST
Should be fixed in glibc-2.3.90-33.
Comment 2 Andrew Overholt 2006-02-03 11:21:52 EST
(In reply to comment #1)
> Should be fixed in glibc-2.3.90-33.

It is, thanks!

Note You need to log in before you can comment on or make changes to this bug.